Moderate severity vulnerability that affects org.apache.thrift:libthrift

2019-01-17T13:56:40
ID GHSA-WJXJ-F8RG-99WX
Type github
Reporter GitHub Advisory Database
Modified 2019-07-03T21:02:06

Description

Apache Thrift Java client library versions 0.5.0 through 0.11.0 can bypass SASL negotiation isComplete validation in the org.apache.thrift.transport.TSaslTransport class. An assert used to determine if the SASL handshake had successfully completed could be disabled in production settings making the validation incomplete.